<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:40:32 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
org.apache.http.impl.conn.tsccm Class Hierarchy (HttpComponents Client 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.apache.http.impl.conn.tsccm Class Hierarchy (HttpComponents Client 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/cookie/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/conn/tsccm/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package org.apache.http.impl.conn.tsccm
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../../org/apache/http/impl/conn/AbstractClientConnAdapter.html" title="class in org.apache.http.impl.conn"><B>AbstractClientConnAdapter</B></A> (implements org.apache.http.protocol.<A HREF="http://hc.apache.org/httpcomponents-core-ga/httpcore/apidocs/org/apache/http/protocol/HttpContext.html?is-external=true" title="class or interface in org.apache.http.protocol">HttpContext</A>, org.apache.http.conn.<A HREF="../../../../../../org/apache/http/conn/ManagedClientConnection.html" title="interface in org.apache.http.conn">ManagedClientConnection</A>)
<UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../../org/apache/http/impl/conn/AbstractPooledConnAdapter.html" title="class in org.apache.http.impl.conn"><B>AbstractPooledConnAdapter</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPooledConnAdapter.html" title="class in org.apache.http.impl.conn.tsccm"><B>BasicPooledConnAdapter</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/AbstractConnPool.html" title="class in org.apache.http.impl.conn.tsccm"><B>AbstractConnPool</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/ConnPoolByRoute.html" title="class in org.apache.http.impl.conn.tsccm"><B>ConnPoolByRoute</B></A></UL>
<LI TYPE="circle">org.apache.http.impl.conn.<A HREF="../../../../../../org/apache/http/impl/conn/AbstractPoolEntry.html" title="class in org.apache.http.impl.conn"><B>AbstractPoolEntry</B></A><UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntry.html" title="class in org.apache.http.impl.conn.tsccm"><B>BasicPoolEntry</B></A></UL>
<LI TYPE="circle">java.lang.ref.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/Reference.html?is-external=true" title="class or interface in java.lang.ref"><B>Reference</B></A>&lt;T&gt;<UL>
<LI TYPE="circle">java.lang.ref.<A HREF="http://download.oracle.com/javase/1.5.0/docs/api/java/lang/ref/WeakReference.html?is-external=true" title="class or interface in java.lang.ref"><B>WeakReference</B></A>&lt;T&gt;<UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/BasicPoolEntryRef.html" title="class in org.apache.http.impl.conn.tsccm"><B>BasicPoolEntryRef</B></A></UL>
</UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/RouteSpecificPool.html" title="class in org.apache.http.impl.conn.tsccm"><B>RouteSpecificPool</B></A><LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/ThreadSafeClientConnManager.html" title="class in org.apache.http.impl.conn.tsccm"><B>ThreadSafeClientConnManager</B></A> (implements org.apache.http.conn.<A HREF="../../../../../../org/apache/http/conn/ClientConnectionManager.html" title="interface in org.apache.http.conn">ClientConnectionManager</A>)
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/WaitingThread.html" title="class in org.apache.http.impl.conn.tsccm"><B>WaitingThread</B></A><LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/WaitingThreadAborter.html" title="class in org.apache.http.impl.conn.tsccm"><B>WaitingThreadAborter</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">org.apache.http.impl.conn.tsccm.<A HREF="../../../../../../org/apache/http/impl/conn/tsccm/PoolEntryRequest.html" title="interface in org.apache.http.impl.conn.tsccm"><B>PoolEntryRequest</B></A></UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../index-all.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../../org/apache/http/impl/conn/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../../../org/apache/http/impl/cookie/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../../index.html?org/apache/http/impl/conn/tsccm/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 1999-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
